% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/BiodbRequestSchedulerRule.R
\name{BiodbRequestSchedulerRule}
\alias{BiodbRequestSchedulerRule}
\title{Scheduler rule class.}
\description{
Scheduler rule class.

Scheduler rule class.
}
\details{
This class represents a rule for the request scheduler.
}
\seealso{
\code{\link{BiodbRequestScheduler}}.
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-new}{\code{BiodbRequestSchedulerRule$new()}}
\item \href{#method-getHost}{\code{BiodbRequestSchedulerRule$getHost()}}
\item \href{#method-getN}{\code{BiodbRequestSchedulerRule$getN()}}
\item \href{#method-getT}{\code{BiodbRequestSchedulerRule$getT()}}
\item \href{#method-setFrequency}{\code{BiodbRequestSchedulerRule$setFrequency()}}
\item \href{#method-getConnectors}{\code{BiodbRequestSchedulerRule$getConnectors()}}
\item \href{#method-addConnector}{\code{BiodbRequestSchedulerRule$addConnector()}}
\item \href{#method-removeConnector}{\code{BiodbRequestSchedulerRule$removeConnector()}}
\item \href{#method-print}{\code{BiodbRequestSchedulerRule$print()}}
\item \href{#method-waitAsNeeded}{\code{BiodbRequestSchedulerRule$waitAsNeeded()}}
\item \href{#method-recomputeFrequency}{\code{BiodbRequestSchedulerRule$recomputeFrequency()}}
\item \href{#method-computeSleepTime}{\code{BiodbRequestSchedulerRule$computeSleepTime()}}
\item \href{#method-storeCurrentTime}{\code{BiodbRequestSchedulerRule$storeCurrentTime()}}
\item \href{#method-clone}{\code{BiodbRequestSchedulerRule$clone()}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-new"></a>}}
\if{latex}{\out{\hypertarget{method-new}{}}}
\subsection{Method \code{new()}}{
Initializer.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbRequestSchedulerRule$new(host, conn = NULL)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{host}}{The web host for which this rules is applicable.}

\item{\code{conn}}{The connector instance that is concerned by this rule.}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
Nothing.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-getHost"></a>}}
\if{latex}{\out{\hypertarget{method-getHost}{}}}
\subsection{Method \code{getHost()}}{
Gets host.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbRequestSchedulerRule$getHost()}\if{html}{\out{</div>}}
}

\subsection{Returns}{
Returns the host.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-getN"></a>}}
\if{latex}{\out{\hypertarget{method-getN}{}}}
\subsection{Method \code{getN()}}{
Gets N value. The number of connections allowed during a period of
T seconds.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbRequestSchedulerRule$getN()}\if{html}{\out{</div>}}
}

\subsection{Returns}{
Returns N as an integer.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-getT"></a>}}
\if{latex}{\out{\hypertarget{method-getT}{}}}
\subsection{Method \code{getT()}}{
Gets T value. The number of seconds during which N connections
are allowed.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbRequestSchedulerRule$getT()}\if{html}{\out{</div>}}
}

\subsection{Returns}{
Returns T as a numeric.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-setFrequency"></a>}}
\if{latex}{\out{\hypertarget{method-setFrequency}{}}}
\subsection{Method \code{setFrequency()}}{
Sets both N and T.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbRequestSchedulerRule$setFrequency(n, t)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{n}}{The number of connections allowed during a period of t seconds,
as an integer.}

\item{\code{t}}{The number of seconds during which n connections are allowed, as a
numeric value.}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
Nothing.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-getConnectors"></a>}}
\if{latex}{\out{\hypertarget{method-getConnectors}{}}}
\subsection{Method \code{getConnectors()}}{
Gets connectors associaated with this rule.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbRequestSchedulerRule$getConnectors()}\if{html}{\out{</div>}}
}

\subsection{Returns}{
A list of BiodbConn objects.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-addConnector"></a>}}
\if{latex}{\out{\hypertarget{method-addConnector}{}}}
\subsection{Method \code{addConnector()}}{
Associate a connector with this rule.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbRequestSchedulerRule$addConnector(conn)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{conn}}{A BiodbConn object.}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
Nothing.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-removeConnector"></a>}}
\if{latex}{\out{\hypertarget{method-removeConnector}{}}}
\subsection{Method \code{removeConnector()}}{
Disassociate a connector from this rule.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbRequestSchedulerRule$removeConnector(conn)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{conn}}{A BiodbConn instance.}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
Nothing.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-print"></a>}}
\if{latex}{\out{\hypertarget{method-print}{}}}
\subsection{Method \code{print()}}{
Displays information about this instance.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbRequestSchedulerRule$print()}\if{html}{\out{</div>}}
}

\subsection{Returns}{
Nothing.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-waitAsNeeded"></a>}}
\if{latex}{\out{\hypertarget{method-waitAsNeeded}{}}}
\subsection{Method \code{waitAsNeeded()}}{
Wait (sleep) until a new request is allowed.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbRequestSchedulerRule$waitAsNeeded()}\if{html}{\out{</div>}}
}

\subsection{Returns}{
Nothing.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-recomputeFrequency"></a>}}
\if{latex}{\out{\hypertarget{method-recomputeFrequency}{}}}
\subsection{Method \code{recomputeFrequency()}}{
Recompute frequency from submitted N and T values.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbRequestSchedulerRule$recomputeFrequency()}\if{html}{\out{</div>}}
}

\subsection{Returns}{
Nothing.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-computeSleepTime"></a>}}
\if{latex}{\out{\hypertarget{method-computeSleepTime}{}}}
\subsection{Method \code{computeSleepTime()}}{
Compute the needed sleep time to wait until a new request is allowed,
starting from the submitted time.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbRequestSchedulerRule$computeSleepTime(cur.time = Sys.time())}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{cur.time}}{Time from which to compute needed sleep time.}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
The needed sleep time in seconds.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-storeCurrentTime"></a>}}
\if{latex}{\out{\hypertarget{method-storeCurrentTime}{}}}
\subsection{Method \code{storeCurrentTime()}}{
Stores the current time.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbRequestSchedulerRule$storeCurrentTime(cur.time = Sys.time())}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{cur.time}}{The current time.}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
Nothing.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-clone"></a>}}
\if{latex}{\out{\hypertarget{method-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbRequestSchedulerRule$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
