% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/BiodbSqlQuery.R
\name{BiodbSqlQuery}
\alias{BiodbSqlQuery}
\title{This class handles an SQL Query.}
\description{
This class handles an SQL Query.

This class handles an SQL Query.
}
\details{
This class represents an SQL query. It is used internally to generate an SQL
query string.
}
\seealso{
\code{\link{BiodbRequestScheduler}}, \code{\link{BiodbRequest}}.
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-new}{\code{BiodbSqlQuery$new()}}
\item \href{#method-setTable}{\code{BiodbSqlQuery$setTable()}}
\item \href{#method-addField}{\code{BiodbSqlQuery$addField()}}
\item \href{#method-setDistinct}{\code{BiodbSqlQuery$setDistinct()}}
\item \href{#method-setLimit}{\code{BiodbSqlQuery$setLimit()}}
\item \href{#method-addJoin}{\code{BiodbSqlQuery$addJoin()}}
\item \href{#method-setWhere}{\code{BiodbSqlQuery$setWhere()}}
\item \href{#method-getJoin}{\code{BiodbSqlQuery$getJoin()}}
\item \href{#method-getWhere}{\code{BiodbSqlQuery$getWhere()}}
\item \href{#method-getFields}{\code{BiodbSqlQuery$getFields()}}
\item \href{#method-toString}{\code{BiodbSqlQuery$toString()}}
\item \href{#method-clone}{\code{BiodbSqlQuery$clone()}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-new"></a>}}
\if{latex}{\out{\hypertarget{method-new}{}}}
\subsection{Method \code{new()}}{
Initializer.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbSqlQuery$new()}\if{html}{\out{</div>}}
}

\subsection{Returns}{
Nothing.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-setTable"></a>}}
\if{latex}{\out{\hypertarget{method-setTable}{}}}
\subsection{Method \code{setTable()}}{
Set the table.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbSqlQuery$setTable(table)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{table}}{The table name.}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
Nothing.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-addField"></a>}}
\if{latex}{\out{\hypertarget{method-addField}{}}}
\subsection{Method \code{addField()}}{
Set the fields.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbSqlQuery$addField(table = NULL, field)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{table}}{The table name.}

\item{\code{field}}{A field name.}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
Nothing.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-setDistinct"></a>}}
\if{latex}{\out{\hypertarget{method-setDistinct}{}}}
\subsection{Method \code{setDistinct()}}{
Set or unset distinct modifier.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbSqlQuery$setDistinct(distinct)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{distinct}}{Either TRUE or FALSE for setting or unsetting the distinct
flag.}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
Nothing.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-setLimit"></a>}}
\if{latex}{\out{\hypertarget{method-setLimit}{}}}
\subsection{Method \code{setLimit()}}{
Set results limit.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbSqlQuery$setLimit(limit)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{limit}}{The limit to set, as an integer value.}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
Nothing.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-addJoin"></a>}}
\if{latex}{\out{\hypertarget{method-addJoin}{}}}
\subsection{Method \code{addJoin()}}{
Add a join.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbSqlQuery$addJoin(table1, field1, table2, field2)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{table1}}{The first table.}

\item{\code{field1}}{The field of the first table.}

\item{\code{table2}}{The second table.}

\item{\code{field2}}{The field of the second table.}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
Nothing.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-setWhere"></a>}}
\if{latex}{\out{\hypertarget{method-setWhere}{}}}
\subsection{Method \code{setWhere()}}{
Set the where clause.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbSqlQuery$setWhere(expr)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{expr}}{A BiodbSqlExpr representing the "where" clause.}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
Nothing.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-getJoin"></a>}}
\if{latex}{\out{\hypertarget{method-getJoin}{}}}
\subsection{Method \code{getJoin()}}{
Builds and returns the join expression.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbSqlQuery$getJoin()}\if{html}{\out{</div>}}
}

\subsection{Returns}{
A character vector representing the join expression.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-getWhere"></a>}}
\if{latex}{\out{\hypertarget{method-getWhere}{}}}
\subsection{Method \code{getWhere()}}{
Gets the where expression.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbSqlQuery$getWhere()}\if{html}{\out{</div>}}
}

\subsection{Returns}{
The BiodbSqlExpr instance representing the "where" clause.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-getFields"></a>}}
\if{latex}{\out{\hypertarget{method-getFields}{}}}
\subsection{Method \code{getFields()}}{
Gets the fields to retrieve.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbSqlQuery$getFields()}\if{html}{\out{</div>}}
}

\subsection{Returns}{
A string containing the list of fields to retrieve.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-toString"></a>}}
\if{latex}{\out{\hypertarget{method-toString}{}}}
\subsection{Method \code{toString()}}{
Generates the string representation of this query.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbSqlQuery$toString()}\if{html}{\out{</div>}}
}

\subsection{Returns}{
A string containing the full SQL query.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-clone"></a>}}
\if{latex}{\out{\hypertarget{method-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{BiodbSqlQuery$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
